#### Previous topic

scipy.ndimage.morphological_gradient

#### Next topic

scipy.ndimage.white_tophat

# scipy.ndimage.morphological_laplace

`scipy.ndimage.``morphological_laplace`(input, size=None, footprint=None, structure=None, output=None, mode='reflect', cval=0.0, origin=0)

  Multi-dimensional morphological laplace.

  Parameters:

  input : array_like

  > Input.

  size : int or sequence of ints, optional

  > See structure.

  footprint : bool or ndarray, optional

  > See structure.

  structure : structure, optional

  > Either size, footprint, or the structure must be provided.

  output : ndarray, optional

  > An output array can optionally be provided.

  mode : {‘reflect’,’constant’,’nearest’,’mirror’, ‘wrap’}, optional

  > The mode parameter determines how the array borders are handled. For ‘constant’ mode, values beyond borders are set to be cval. Default is ‘reflect’.

  cval : scalar, optional

  > Value to fill past edges of input if mode is ‘constant’. Default is 0.0

  origin : origin, optional

  > The origin parameter controls the placement of the filter.

  Returns:

  morphological_laplace : ndarray

  > Output